curl
curl -sS -X DELETE "https://gateway.orbit/api/v1/nodes/7/access/3" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": {
"consumer_node": {
"id": 123,
"name": "<string>"
},
"serving_node": {
"id": 123,
"name": "<string>"
},
"already_absent": true,
"self_lockout": true
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Nodes
Revoke Node access
Remove one node access edge from the active gateway.
DELETE
/
api
/
v1
/
nodes
/
{serving_node}
/
access
/
{consumer_node}
curl
curl -sS -X DELETE "https://gateway.orbit/api/v1/nodes/7/access/3" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": {
"consumer_node": {
"id": 123,
"name": "<string>"
},
"serving_node": {
"id": 123,
"name": "<string>"
},
"already_absent": true,
"self_lockout": true
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Path Parameters
Numeric ID of the Node that receives commands.
Required range:
x >= 1Numeric ID of the Node that sends commands.
Required range:
x >= 1